RoscoeD

Members
  • Content Count

    9
  • Joined

  • Last visited

Community Reputation

0 Neutral

About RoscoeD

  • Rank
    Newbie

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. Where can I find a version that runs on Catalina? Currently running 1.8.7 on an older Mac that has about 2 days before it goes away, need to get it running on my new iMac quickly, but can't find any that will run (every download says it's incompatible)
  2. Disregard...wrong area. Sorry
  3. Where can I find a version that runs on Catalina? Currently running 1.8.7 on an older Mac that has about 2 days before it goes away, need to get it running on my new iMac quickly, but can't find any that will run (every download says it's incompatible) Thanks!